Bug 439649 - configure spits awk usage errors on Solaris
configure spits awk usage errors on Solaris
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Other
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 20:34 EDT by Mike Gerdts
Modified: 2008-03-31 08:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 08:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix field separator to work with ancient awk implementations (580 bytes, patch)
2008-03-29 20:34 EDT, Mike Gerdts
no flags Details | Diff

  None (edit)
Description Mike Gerdts 2008-03-29 20:34:28 EDT
Description of problem:

configure spits awk errors on Solaris

Version-Release number of selected component (if applicable):

CVS as of March 29, 2008

How reproducible:

Every time

Steps to Reproduce:
1. Be sure you are on Solaris with a crusty awk.
2. Check out code from cvs
3. Run ./autobuild.sh
  
Actual results:

checking host system type... i386-pc-solaris2.11
awk: syntax error near line 1
awk: bailing out near line 1
awk: syntax error near line 1
awk: bailing out near line 1
awk: syntax error near line 1
awk: bailing out near line 1
expr: syntax error
expr: syntax error
checking for gcc... gcc


Expected results:


Additional info:
Comment 1 Mike Gerdts 2008-03-29 20:34:28 EDT
Created attachment 299600 [details]
Patch to fix field separator to work with ancient awk implementations
Comment 2 Daniel Veillard 2008-03-31 08:14:23 EDT
Sure, no problem, patch applied to upstream CVS,

  thanks !

Daniel

Note You need to log in before you can comment on or make changes to this bug.